#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	vala		# do not build Vala API
#
Summary:	A GLib library to ease writing telepathy clients
Summary(pl.UTF-8):	Biblioteka oparta na GLib dla aplikacji służących do komunikacji
Name:		telepathy-glib
# NOTE: 0.22.x is stable, 0.23.x/0.99.x unstable
Version:	0.22.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-glib/%{name}-%{version}.tar.gz
# Source0-md5:	c333ceb21a9ca1c52a0e6e36432943d1
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.90
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.17}
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python-modules >= 1:2.5
%{?with_vala:BuildRequires:	vala >= 2:0.16.0}
Requires:	dbus-libs >= 0.95
Requires:	dbus-glib >= 0.90
Requires:	glib2 >= 1:2.32.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
telepathy-glib is a D-Bus framework for unifying real time
communication, including instant messaging, voice calls and video
calls. It abstracts differences between protocols to provide a unified
interface for applications.

%description -l pl.UTF-8
telepathy-glib jest szkieletem opartym na D-Bus ujednolicającym
komunikację w czasie rzeczywistym, włączając w to komunikatory oraz
komunikację głosową i za pośrednictwem wideo. Zasłania warstwą
abstrakcji różnice pomiędzy protokołami dostarczając jednolity
interfejs dla aplikacji.

%package devel
Summary:	Header files for telepathy-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 0.95
Requires:	dbus-glib-devel >= 0.90
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for telepathy-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-glib.

%package static
Summary:	Static telepathy-glib library
Summary(pl.UTF-8):	Statyczna biblioteka telepathy-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static telepathy-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka telepathy-glib.

%package apidocs
Summary:	telepathy-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API telepathy-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
telepathy-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API telepathy-glib.

%package -n vala-telepathy-glib
Summary:	telepathy-glib API for Vala language
Summary(pl.UTF-8):	API telepathy-glib dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0

%description -n vala-telepathy-glib
telepathy-glib API for Vala language.

%description -n vala-telepathy-glib -l pl.UTF-8
API telepathy-glib dla języka Vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	--enable-introspection \
	%{__enable_disable vala vala-bindings} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-glib.so.0
%{_libdir}/girepository-1.0/TelepathyGLib-0.12.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so
%{_libdir}/libtelepathy-glib.la
%dir %{_includedir}/telepathy-1.0
%dir %{_includedir}/telepathy-1.0/telepathy-glib
%dir %{_includedir}/telepathy-1.0/telepathy-glib/_gen
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_pkgconfigdir}/telepathy-glib.pc
%{_datadir}/gir-1.0/TelepathyGLib-0.12.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtelepathy-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/telepathy-glib
%endif

%if %{with vala}
%files -n vala-telepathy-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/telepathy-glib.deps
%{_datadir}/vala/vapi/telepathy-glib.vapi
%endif
%changelog
* Fri Oct 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/telepathy-glib.git;a=log;h=master

* Fri Oct 04 2013 Jakub Bogusz <qboosh@pld-linux.org> dbd4d9f
- updated to 0.22.0

* Fri Aug 02 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6549fa7
- Update to 0.20.4

* Sat Apr 06 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 95039a8
- Update to 0.20.2

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a1882c
- updated to 0.20.1

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 9ae8c72
- updated to 0.20.0

* Thu Oct 04 2012 Jakub Bogusz <qboosh@pld-linux.org> c08dac4
- python epoch

* Mon Oct 01 2012 Artur Frysiak <artur@frysiak.net> 5313002
- 0.19.10

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 68a3944
- updated to 0.19.9

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> a9a618f
- updated to 0.19.8

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> f6eb4cf
- updated BR versions
- LGPL version

* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> f6dc4bd
- updated to 0.19.6
- moved Vala API files to seperate package

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cc26f81
- up to 0.19.5

* Wed May 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 21b7cad
- updated to 0.18.1

* Mon Apr 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8c0b108
- updated to 0.18.0

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 65fd07c
- merged from DEVEL

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> a4e827e
- up to 0.16.4

* Mon Nov 21 2011 lisu <lisu@pld-linux.org> 8153902
- updated epoch for vala BR
- rel 2

* Tue Nov 01 2011 Łukasz Kieś <kiesiu@pld-linux.org> 0a11c18
- updated to 0.16.1

* Mon Oct 24 2011 Łukasz Kieś <kiesiu@pld-linux.org> c871c96
- updated to 0.16.0

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> c1045f6
- up to 0.15.5

